Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.mapping
[Java] Class UrlCreatorCache.ReverseMappingKey

    java.lang.Object
      org.codehaus.groovy.grails.web.mapping.UrlCreatorCache.ReverseMappingKey

    public static class UrlCreatorCache.ReverseMappingKey

Field Summary
`protected java.lang.String` | `action`
`protected java.lang.String` | `controller`
`protected String[]` | `paramKeys`
`protected String[]` | `paramValues`

Constructor Summary
`UrlCreatorCache.ReverseMappingKey(java.lang.String controller, java.lang.String action, java.util.Map params)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`int` | `hashCode()`
`java.lang.String` | `toString()`
`int` | `weight()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### action

    protected final java.lang.String action

### controller

    protected final java.lang.String controller

### paramKeys

    protected final String[] paramKeys

### paramValues

    protected final String[] paramValues

Constructor Detail

### UrlCreatorCache.ReverseMappingKey

    public UrlCreatorCache.ReverseMappingKey(java.lang.String controller, java.lang.String action, java.util.Map params)

Method Detail

### equals

    @Override
    		public boolean
    public boolean equals(java.lang.Object obj)

### hashCode

    @Override
    		public int has
    public int hashCode()

### toString

    @Override
    		public String
    public java.lang.String toString()

### weight

    public int weight()

Groovy Documentation